# ChangeLog for sys-apps/hotplug
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/hotplug/ChangeLog,v 1.66 2006/03/24 04:55:53 robbat2 Exp $

  24 Mar 2006; Robin H. Johnson <robbat2@gentoo.org>
  +files/hotplug-20040923-scsi-agent-timeout.patch,
  hotplug-20040923-r1.ebuild:
  Bug #126249, patch against scsi.agent. Affected hardware is very rare, not
  bumping revision.

*hotplug-20040923-r1 (19 Jul 2005)

  19 Jul 2005; <brix@gentoo.org> +files/hotplug-ifrename.patch,
  +hotplug-20040923-r1.ebuild:
  The ifrename utility is now in /sbin/, not /usr/sbin/, bug #96654.

  05 Feb 2005; Markus Rothe <corsair@gentoo.org> hotplug-20040923.ebuild:
  Stable on ppc64

  28 Jan 2005; Chris Gianelloni <wolf31o2@gentoo.org> files/hotplug.rc:
  Updated hotplug.rc to display a message about unpacking the firmware.

  27 Jan 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  files/hotplug.rc.empty:
  Fixed typo.

  23 Jan 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  files/hotplug.rc.empty:
  Updated hotplug.rc.empty to unpack firmware tarball. This is used by the
  LiveCD to allow /lib/firmware to be tmpfs without losing any firmwares that
  were installed on the LiveCD and allows users to provide their own
  firmwares.

  21 Jan 2005; Lars Weiler <pylon@gentoo.org> hotplug-20040923.ebuild:
  Stable on ppc.

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  27 Nov 2004; Jason Huebel <jhuebel@gentoo.org> hotplug-20040923.ebuild:
  stable on amd64

  23 Nov 2004; Bryan Østergaard <kloeri@gentoo.org>
  hotplug-20040923.ebuild:
  Stable on alpha.

  12 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> hotplug-20040923.ebuild:
  Stable on sparc

  12 Nov 2004; Daniel Drake <dsd@gentoo.org> hotplug-20040923.ebuild:
  Update coldplug warning message to suggest coldplug to go into boot runlevel

  11 Nov 2004; Daniel Drake <dsd@gentoo.org> hotplug-20040923.ebuild:
  Make coldplug warning message more detailed, bug 70793

  11 Nov 2004; Joshua Kinard <kumba@gentoo.org> hotplug-20040923.ebuild:
  Marked stable on mips.

  10 Nov 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  hotplug-20040923.ebuild:
  20040923 marked stable on x86

  22 Oct 2004; Chris Gianelloni <wolf31o2@gentoo.org> files/hotplug.rc:
  Added a check for livecd firmware tarball on disk.

  14 Oct 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  hotplug-20040923.ebuild:
  add ~ppc64 to hotplug-20040923.ebuild

*hotplug-20040923 (23 Sep 2004)

  23 Sep 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +files/isapnp.rc.empty,
  +hotplug-20040923.ebuild:
  New release, fixes the isapnp.rc bug.
  Also explicitly call out the coldplug package, and the
  /lib/firmware move.

*hotplug-20040920 (20 Sep 2004)

  20 Sep 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +files/hotplug.rc.empty,
  +hotplug-20040920.ebuild:
  Oh yeah, /etc/init.d/hotplug doesn't do anything anymore.
  Use the coldplug package for loading modules at boot time
  based on the devices in your system.

*hotplug-20040920 (20 Sep 2004)

  20 Sep 2004; Greg Kroah-Hartman <gregkh@gentoo.org> +files/hotplug.rc.empty,
  +hotplug-20040920.ebuild:
  new upstream release.  Fixes lots of Gentoo reported bugs.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  hotplug-20040401.ebuild:
  Masked hotplug-20040401.ebuild stable for ppc

  23 Aug 2004; Bryan Østergaard <kloeri@gentoo.org> hotplug-20040401.ebuild:
  Stable on alpha.

  17 Aug 2004; Guy Martin <gmsoft@gentoo.org> hotplug-20040401.ebuild:
  Marked stable on hppa.

  30 Jun 2004; Aron Griffis <agriffis@gentoo.org> hotplug-20030805-r2.ebuild,
  hotplug-20030805-r3.ebuild, hotplug-20040105.ebuild,
  hotplug-20040401.ebuild:
  sync IUSE (missing), trim trailing whitespace

  22 Jun 2004; <malc@gentoo.org> hotplug-20040401.ebuild:
  Mark stable on amd64

  07 May 2004; Greg Kroah-Hartman <gregkh@gentoo.org> hotplug-20040401.ebuild:
  fix bug #50376 to the hotplug-20040401.ebuild file
  (very minor, doesn't deserve a bump.)

  07 May 2004; Greg Kroah-Hartman <gregkh@gentoo.org>
  -hotplug-20020826-r2.ebuild, -hotplug-20030501-r2.ebuild,
  -hotplug-20030805-r1.ebuild, -hotplug-20030805.ebuild,
  -hotplug-20040311.ebuild, -hotplug-20040329.ebuild:
  removed a bunch of old .ebuilds

  15 Apr 2004; Ciaran McCreesh <ciaranm@gentoo.org> hotplug-20040401.ebuild:
  Stable on sparc

  12 Apr 2004; Greg Kroah-Hartman <gregkh@gentoo.org> hotplug-20040401.ebuild:
  marked stable on x86

*hotplug-20040401 (01 Apr 2004)

  01 Apr 2004; Greg Kroah-Hartman <gregkh@gentoo.org> hotplug-20040401.ebuild:
  2004_04_01 version bump, which includes all Gentoo specific patches are
  now pushed into the upstream package, making my life a whole lot easier :)
  
  This fixes a number of usb and network hotplug bugs with the previous
  hotplug package.

  29 Mar 2004; Greg Kroah-Hartman <gregkh@gentoo.org> files/hotplug.rc:
  Change the hotplug init.d script to show what subsystem it is starting
  and stopping to help out in finding problems (and letting people know
  exactly what is happening on their systems.)

*hotplug-20040329 (29 Mar 2004)

  29 Mar 2004; Greg Kroah-Hartman <gregkh@gentoo.org> hotplug-20040329.ebuild,
  metadata.xml:
  2004_03_29 updated.  Also split the /sbin/hotplug part off to hotplug-base
  package.

  22 Mar 2004; Joshua Kinard <kumba@gentoo.org> hotplug-20040311.ebuild:
  Added ~mips to KEYWORDS.

*hotplug-20040311 (11 Mar 2004)

  11 Mar 2004; Brian Jackson <iggy@gentoo.org> hotplug-20040311.ebuild:
  version bump

  29 Feb 2004; Ciaran McCreesh <ciaranm@gentoo.org> hotplug-20040105.ebuild:
  Stable on sparc

  22 Feb 2004; Aron Griffis <agriffis@gentoo.org> hotplug-20040105.ebuild:
  stable on alpha

  18 Feb 2004; Aron Griffis <agriffis@gentoo.org> hotplug-20040105.ebuild:
  stable on ia64

  09 Jan 2004; Jason Wever <weeve@gentoo.org> hotplug-20030805-r3.ebuild:
  Marked stable on sparc.

*hotplug-20040105 (06 Jan 2004)

  06 Jan 2004; Martin Schlemmer <azarah@gentoo.org> hotplug-20040105.ebuild:
  Update version.  Add extra 2.6 patch from Mans Rullgard <mru@kth.se>.
  Fix copyright date.

  18 Dec 2003; Guy Martin <gmsoft@gentoo.org> hotplug-20030805-r2.ebuild:
  Marked stable on hppa.

*hotplug-20030805-r3 (21 Dec 2003)

  21 Dec 2003; Daniel Robbins <drobbins@gentoo.org> hotplug-20030805-r3.ebuild:
  New patch to allow hotplug to work with kernel 2.6. This is needed to patch
  around some unfinished code in the hotplug sources.

*hotplug-20030805-r2 (12 Nov 2003)

  12 Nov 2003; Daniel Robbins <drobbins@gentoo.org> hotplug-20030805-r2.ebuild:
  close bug #32864 (add firmware.agent.) And also remove hotplug code that adds
  incredibly long timeout on /etc/init.d/hotplug start. I'm unmasking this on
  x86 since these two fixes are needed by users (firmware.agent for prism54 
  module users and to avoid the long hotplug startup delay that nearly every
  Gentoo user is experiencing.)

*hotplug-20030805-r1 (24 Sep 2003)

  24 Sep 2003; Aron Griffis <agriffis@gentoo.org> hotplug-20030805-r1.ebuild,
  files/hotplug.functions.patch:
  Add patch to fix bogus error messages from hotplug.functions

*hotplug-20030805 (13 Sep 2003)

  13 Sep 2003; Seemant Kulleen <seemant@gentoo.org> hotplug-20030805.ebuild :

  Version bump.  Thanks to: Jason Andryuk <the_deuce@yahoo.com> in bug
  #26944



  07 Aug 2003; Tavis Ormandy <taviso@gentoo.org> hotplug-20020826-r2.ebuild:
  ~alpha

  02 Jul 2003; Jason Wever <weeve@gentoo.org> hotplug-20030501-r2.ebuild:
  Changed ~sparc keyword to sparc.

  11 Jun 2003; Jason Wever <weeve@gentoo.org> hotplug-20030501-r2.ebuild:
  Added ~sparc to keywords.

*hotplug-20030501-r2 (11 Jun 2003)

  28 Jul 2003; Guy Martin <gmsoft@gentoo.org> hotplug-20030501-r2.ebuild :
  Added hppa to KEYWORDS.

  11 Jun 2003; Daniel Robbins <drobbins@gentoo.org> hotplug-20030501-r2.ebuild:
  Now creates /var/run/usb directory, closing bug #21877. Unmasking on x86.
  
  10 Jun 2003; <msterret@gentoo.org> hotplug-20020826-r1.ebuild,
  hotplug-20020826-r2.ebuild, hotplug-20020826.ebuild: DEPEND on sed >= 4

*hotplug-20030501-r1 (27 May 2003)

  27 May 2003; Zach Welch <zwelch@gentoo.org hotplug-20030501-r1.ebuild:
  revision bump to add patch to fix bug 20846

*hotplug-20030501 (03 May 2003)

  03 May 2003; Martin Schlemmer <azarah@gentoo.org> hotplug-20030501.ebuild:
  Update version.

*hotplug-20020826-r2 (26 Mar 2003)

  26 Mar 2003; Wout Mertens <wmertens@gentoo.org> hotplug-20020826-r2.ebuild :
  fix bug 14175
  Made the net.agent more sane in dealing with the Gentoo initscripts

*hotplug-20020826-r1 (18 Mar 2003)

  25 Mar 2003; Guy Martin <gmsoft@gentoo.org> hotplug-20020826-r1.ebuild :
  Added ~hppa to KEYWORDS.

  18 Mar 2003; Zach Welch <zwelch@gentoo.org> hotplug-20020826-r1.ebuild:
  fix bug 17799

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords

*hotplug-20020826 (18 Oct 2002)

  14 Mar 2003; Zach Welch <zwelch@gentoo.org> hotplug-20020826.ebuild:
  mark latest hotplug version stable for x86 and PPC

  10 Mar 2003; Seemant Kulleen <seemant@gentoo.org> hotplug-20020114.ebuild,
  hotplug-20020401-r1.ebuild, hotplug-20020401.ebuild,
  hotplug-20020401.ebuild, hotplug-20020826.ebuild,
  files/hotplug-20020401-net.agent-gentoo.diff,
  files/hotplug-20020401-pci.rc-gentoo.diff,
  files/hotplug-20020401-usb.agent-gentoo.diff,
  files/hotplug-20020401-usb.rc-gentoo.diff,
  files/hotplug-20020826-net.agent-gentoo.diff,
  files/hotplug-20020826-pci.rc-gentoo.diff,
  files/hotplug-20020826-usb.agent-gentoo.diff,
  files/hotplug-20020826-usb.rc-gentoo.diff, files/hotplug.rc, files/pci.rc,
  files/usb.conf, files/usb.rc:
  moved patches out to mirrors, and better manipulation thanks to carpaski;
  finally, use epatch instead

  18 Oct 2002; Zach Welch <zwelch@gentoo.org> hotplug-20020826.build :
  New version; includes gentoo agent fixes in hotplug-20020401-r1

*hotplug-20020401-r1 (18 Oct 2002)

  18 Oct 2002; Zach Welch <zwelch@gentoo.org> hotplug-20020401-r1.ebuild :
  Fixed bug 8074.  Fix similar bug in usb.agent.  Bump ebuild rev!!

*hotplug-20020401 (5 May 2002)

  11 Aug 2002; phoen][x <phoenix@gentoo.org> hotplug-20020401.ebuild :
  Fixed bug 6183.

  21 Jul 2002; Mark Guertin <gerk@gentoo.org>:
  updated keywords (ppc)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> hotplug-20020401.ebuild :
  Added KEYWORDS, SLOT.
  New version

  11 May 2002; Wout Mertens <wmertens@gentoo.org> files/hotplug.rc :
  Fixed error condition detection

*hotplug-20020114 (24 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> hotplug-20020114.ebuild :
  Added KEYWORDS, SLOT.

  24 Feb 2002; Bruce A. Locke <blocke@shivan.org> hotplug-20020114.ebuild :
  Hotplug ebuild contributed by folokai@earthlink.net (Scott Worley)

